/*******************************************************************************
	Import MPM data
	
	Written by: Henry Stemmler
	Last modified 23 July 2024
*******************************************************************************/

// Note that datalibweb is accessible only from WB devices, where it is pre-installed in the "c:/ado/plus" folder
sysdir set PLUS "c:/ado/plus"
datalibweb, country(WLD) year(2024) type(GMI) vermast(01) veralt(03) survey(ALL) module(MPM) clear
sysdir set PLUS "${user}/ado"

* Keep only 2017 ppps
keep if ppp == 2017

* Keep closest year to 2021
gen diff_y = abs(year - 2021)
bys code: egen min_diff = min(diff_y)
keep if min_diff == diff_y
bys code: egen max_year = max(year)
keep if year == max_year
drop if year < 2018

keep code dep_poor1 dep_educ_com dep_educ_enr dep_infra_elec dep_infra_imps ///
	dep_infra_impw2   mdpoor_i1 year
	
rename mdpoor_i1 mpm
rename dep_poor1 dep_monetarypoor
rename year datayear

save "$overview_data_processed/mpm_3pr24.dta", replace

